Think you have a false positive on this rule?

Sid 1-26906

Message

SERVER-OTHER Foswiki/Twiki MAKETEXT command execution attempt

Summary

The _compile function in Maketext.pm in the Locale::Maketext implementation in Perl before 5.17.7 does not properly handle backslashes and fully qualified method names during compilation of bracket notation, which allows context-dependent attackers to execute arbitrary commands via crafted input to an application that accepts translation strings from users, as demonstrated by the TWiki application before 5.1.3, and the Foswiki application 1.0.x through 1.0.10 and 1.1.x through 1.1.6.

Impact

CVSS base score 7.5 CVSS impact score 6.4 CVSS exploitability score 10.0 confidentialityImpact PARTIAL integrityImpact PARTIAL availabilityImpact PARTIAL

CVE-2012-6329:

CVSS base score 7.5

CVSS impact score 6.4

CVSS exploitability score 10.0

Confidentiality Impact PARTIAL

Integrity Impact PARTIAL

Availability Impact PARTIAL

Detailed information

CVE-2012-6329: The _compile function in Maketext.pm in the Locale::Maketext implementation in Perl before 5.17.7 does not properly handle backslashes and fully qualified method names during compilation of bracket notation, which allows context-dependent attackers to execute arbitrary commands via crafted input to an application that accepts translation strings from users, as demonstrated by the TWiki application before 5.1.3, and the Foswiki application 1.0.x through 1.0.10 and 1.1.x through 1.1.6.

Affected systems

  • perl perl 5.10
  • perl perl 5.10.0
  • perl perl 5.10.1
  • perl perl 5.11.0
  • perl perl 5.11.1
  • perl perl 5.11.2
  • perl perl 5.11.3
  • perl perl 5.11.4
  • perl perl 5.11.5
  • perl perl 5.12.0
  • perl perl 5.12.1
  • perl perl 5.12.2
  • perl perl 5.12.3
  • perl perl 5.13.0
  • perl perl 5.13.1
  • perl perl 5.13.2
  • perl perl 5.13.3
  • perl perl 5.13.4
  • perl perl 5.13.5
  • perl perl 5.13.6
  • perl perl 5.13.7
  • perl perl 5.13.8
  • perl perl 5.13.9
  • perl perl 5.13.10
  • perl perl 5.13.11
  • perl perl 5.14.0
  • perl perl 5.14.1
  • perl perl 5.14.2
  • perl perl 5.14.3
  • perl perl 5.16.0
  • perl perl 5.16.1
  • perl perl 5.16.2

Ease of attack

CVE-2012-6329:

Access Vector NETWORK

Access Complexity LOW

Authentication NONE

False positives

None known

False negatives

None known

Corrective action

Upgrade to the latest non-affected version of the software.

Apply the appropriate vendor supplied patches.

Contributors

  • Talos research team.
  • This document was generated from data supplied by the national vulnerability database, a product of the national institute of standards and technology.
  • For more information see nvd.

Additional References